View Issue Details

IDProjectCategoryView StatusLast Update
0025374LazarusLCLpublic2013-11-29 22:34
ReporterTomasz WieckowskiAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindows OS Version8
Product Version1.0.15 (SVN)Product Build 
Target VersionFixed in Version1.2.0RC2 
Summary0025374: WindowsVersion and Windows8
DescriptionSmall update for UpdateWindowsVersion to detect Windows 8
Additional Informationhttp://docwiki.embarcadero.com/Libraries/XE3/en/System.SysUtils.Win32MajorVersion
TagsNo tags attached.
Fixed in Revision43480
LazTarget-
WidgetsetWin32/Win64
Attached Files
  • win32proc.pp.patch (515 bytes)
    Index: win32proc.pp
    ===================================================================
    --- win32proc.pp	(revision 43479)
    +++ win32proc.pp	(working copy)
    @@ -149,6 +149,7 @@
         wvVista,
         //wvServer2008,    // has the same major/minor as wvVista
         wv7,
    +    wv8,
         wvLater
       );
     
    @@ -1634,6 +1635,7 @@
          case Win32MinorVersion of
            0: WindowsVersion := wvVista;
            1: WindowsVersion := wv7;
    +       2: WindowsVersion := wv8;
          else
            WindowsVersion := wvLater;
          end;
    
    win32proc.pp.patch (515 bytes)

Activities

Tomasz Wieckowski

2013-11-25 21:08

reporter  

win32proc.pp.patch (515 bytes)
Index: win32proc.pp
===================================================================
--- win32proc.pp	(revision 43479)
+++ win32proc.pp	(working copy)
@@ -149,6 +149,7 @@
     wvVista,
     //wvServer2008,    // has the same major/minor as wvVista
     wv7,
+    wv8,
     wvLater
   );
 
@@ -1634,6 +1635,7 @@
      case Win32MinorVersion of
        0: WindowsVersion := wvVista;
        1: WindowsVersion := wv7;
+       2: WindowsVersion := wv8;
      else
        WindowsVersion := wvLater;
      end;
win32proc.pp.patch (515 bytes)

Maxim Ganetsky

2013-11-25 23:21

developer   ~0071598

Applied, thanks.

Issue History

Date Modified Username Field Change
2013-11-25 21:08 Tomasz Wieckowski New Issue
2013-11-25 21:08 Tomasz Wieckowski File Added: win32proc.pp.patch
2013-11-25 23:13 Maxim Ganetsky Assigned To => Maxim Ganetsky
2013-11-25 23:13 Maxim Ganetsky Status new => assigned
2013-11-25 23:21 Maxim Ganetsky Fixed in Revision => 43480
2013-11-25 23:21 Maxim Ganetsky LazTarget => -
2013-11-25 23:21 Maxim Ganetsky Note Added: 0071598
2013-11-25 23:21 Maxim Ganetsky Status assigned => resolved
2013-11-25 23:21 Maxim Ganetsky Fixed in Version => 1.4
2013-11-25 23:21 Maxim Ganetsky Resolution open => fixed
2013-11-26 15:47 Tomasz Wieckowski Status resolved => closed
2013-11-29 22:33 Maxim Ganetsky Status closed => assigned
2013-11-29 22:33 Maxim Ganetsky Resolution fixed => reopened
2013-11-29 22:33 Maxim Ganetsky Fixed in Version 1.4 => 1.2.0RC2
2013-11-29 22:34 Maxim Ganetsky Status assigned => closed
2013-11-29 22:34 Maxim Ganetsky Resolution reopened => fixed